
SCM Creator (+Github) - Bug #2203

SVN repository page broke

30 Jul 2013 15:56 - Yukinari Toyota

Status: Closed Start date: 30 Jul 2013

Priority: Normal Due date: 14 Sep 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.4.3   

Redmine version: 2.2.3 External issue:  

Description

Hi, I’m using scm-creator with redmine 2.2.3.stable.

And I’ve updated the plugin to recent Revision r127, then, svn repository page broke.

Please look at the attached screenshot for what’s happen.

Maybe, it’s caused by html_safe rule changes of string.gsub in rails 3.x (see 

https://github.com/rails/rails/commit/53a2c0baf2b128dd4808eca313256f6f4bb8c4cd)

I attached a simple patch to fix this, checked with redmine 2.2.3.

I hope this will be helpful.

Associated revisions

Revision 129 - 14 Sep 2013 22:46 - Andriy Lesyuk

Added patch file and fix for #2203

History

#1 - 08 Sep 2013 14:49 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.4.3

#2 - 14 Sep 2013 22:56 - Andriy Lesyuk

- Due date set to 14 Sep 2013

- Status changed from Open to Closed

- % Done changed from 0 to 100

Added html_safe in a different place... Thanks!

Files

broken_repositories_settings_page.png 31.6 KB 30 Jul 2013 Yukinari Toyota

svn_repository_borken_redmine2.2.patch 716 Bytes 30 Jul 2013 Yukinari Toyota
